Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Interface Wrapper

All Known Implementing Classes:
  AESWrapEngine, CamelliaWrapEngine, DESedeWrapEngine, RC2WrapEngine, RFC3211WrapEngine, RFC3394WrapEngine, SEEDWrapEngine

    public interface Wrapper

Method Summary
`java.lang.String` | `getAlgorithmName()` Return the name of the algorithm the wrapper implements.
`void` | `init(boolean forWrapping, CipherParameters param)`
`byte[]` | `unwrap(byte[] in, int inOff, int inLen)`
`byte[]` | `wrap(byte[] in, int inOff, int inLen)`

Method Detail

### init

    void init(boolean forWrapping,
              CipherParameters param)

### getAlgorithmName

    java.lang.String getAlgorithmName()

  Return the name of the algorithm the wrapper implements.

  Returns:
    the name of the algorithm the wrapper implements.

### wrap

    byte[] wrap(byte[] in,
                int inOff,
                int inLen)

### unwrap

    byte[] unwrap(byte[] in,
                  int inOff,
                  int inLen)
                  throws InvalidCipherTextException

  Throws:
    `InvalidCipherTextException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD